package org.springblade.person.feign;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import javax.validation.Valid;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.tool.utils.Func;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.RequestParam;
import org.springblade.person.entity.AllowancesPeople;
import org.springblade.person.vo.AllowancesPeopleVO;
import org.springblade.person.wrapper.AllowancesPeopleWrapper;
import org.springblade.person.service.IAllowancesPeopleService;
import org.springblade.core.boot.ctrl.BladeController;
import java.util.List;
/**
 *  client
 *
 * @author lianghanqiang
 * @since 2021-06-02
 */

@AllArgsConstructor
@RestController
@RequestMapping("/feign/allowancespeople")

public class AllowancesPeopleClient implements IAllowancesPeopleClient {

    private final IAllowancesPeopleService allowancesPeopleService;

        /**
     * 详情
     */
    @Override
    @GetMapping("/detail")
    public AllowancesPeopleVO detail(@SpringQueryMap AllowancesPeople allowancesPeople) {
        AllowancesPeople detail = allowancesPeopleService.getOne(Condition.getQueryWrapper(allowancesPeople));
        return AllowancesPeopleWrapper.build().entityVO(detail);
        }

    /**
     * 查询
     */
    @Override
    @GetMapping("/list")
    public List<AllowancesPeopleVO> list(AllowancesPeople allowancesPeople) {
        return AllowancesPeopleWrapper.build().listVO(allowancesPeopleService.list(Condition.getQueryWrapper(allowancesPeople)));
        }



    /**
     * 新增
     */
    @Override
    @PostMapping("/save")
    public boolean save(@Valid @RequestBody AllowancesPeople allowancesPeople) {
        return allowancesPeopleService.save(allowancesPeople);
        }

    /**
     * 修改
     */
    @Override
    @PostMapping("/update")
    public boolean update(@Valid @RequestBody AllowancesPeople allowancesPeople) {
        return allowancesPeopleService.updateById(allowancesPeople);
        }

    /**
     * 新增或修改
     */
    @Override
    @PostMapping("/submit")
    public boolean submit(@Valid @RequestBody AllowancesPeople allowancesPeople) {
        return allowancesPeopleService.saveOrUpdate(allowancesPeople);
        }


    /**
     * 删除
     */
    @Override
    @PostMapping("/remove")
    public boolean remove(@ApiParam(value = "主键集合", required = true) @RequestParam String ids) {
        return allowancesPeopleService.deleteLogic(Func.toLongList(ids));
        }


}
